## kde-baseapps 4.8.4

=== CMakeLists.txt ===
project(KDEBASE_APPS)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules )

#search packages used by KDE
set(KDE_MIN_VERSION "4.7.97")
set(SOPRANO_MIN_VERSION "2.5.63")
find_package(KDE4 4.8.4 REQUIRED)
find_package(Strigi REQUIRED)
find_package(ZLIB REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)

include(ConfigureChecks.cmake)
configure_file (config-apps.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-apps.h )
include_directories (${CMAKE_CURRENT_BINARY_DIR})

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DDISABLE_NEPOMUK_LEGACY)
add_definitions (-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
include_directories (${CMAKE_CURRENT_SOURCE_DIR}/lib/konq ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

add_subdirectory( lib )
add_subdirectory( dolphin )
add_subdirectory( kdialog )
add_subdirectory( keditbookmarks )
add_subdirectory( konqueror )
add_subdirectory( kfind )
add_subdirectory( plasma )
add_subdirectory( konq-plugins )

if ( Q_WS_MAC )
  add_subdirectory( kdepasswd )
endif ( Q_WS_MAC )

if ( Q_WS_X11 )
  add_subdirectory( nsplugins )
  add_subdirectory( kdepasswd )
endif ( Q_WS_X11 )
macro_optional_add_subdirectory( doc )

if(CMAKE_SOURCE_DIR STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
    macro_display_feature_log()
endif(CMAKE_SOURCE_DIR STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")

=== dolphin/src/CMakeLists.txt ===
macro_optional_find_package(Nepomuk)
macro_log_feature(Nepomuk_FOUND "Nepomuk" "Nepomuk" "http://www.kde.org" FALSE "" "For adding desktop-wide tagging support to dolphin")
macro_bool_to_01(Nepomuk_FOUND HAVE_NEPOMUK)
configure_file(config-nepomuk.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-nepomuk.h )

macro_bool_to_01(X11_Xrender_FOUND HAVE_XRENDER)
configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h )

include_directories( ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )

if (Nepomuk_FOUND)
  # Yes, Soprano includes is what we need here
  include_directories( ${SOPRANO_INCLUDE_DIR} ${NEPOMUK_INCLUDE_DIR} )
endif (Nepomuk_FOUND)

add_subdirectory(tests)

########### next target ###############

set(dolphinprivate_LIB_SRCS
    kitemviews/kfileitemclipboard.cpp
    kitemviews/kfileitemlistgroupheader.cpp
    kitemviews/kfileitemlistview.cpp
    kitemviews/kfileitemlistwidget.cpp
    kitemviews/kfileitemmodel.cpp
    kitemviews/kfileitemmodelfilter.cpp
    kitemviews/kfileitemmodelrolesupdater.cpp
    kitemviews/kitemlistcontainer.cpp
    kitemviews/kitemlistcontroller.cpp
    kitemviews/kitemlistgroupheader.cpp
    kitemviews/kitemlistheader.cpp
    kitemviews/kitemlistkeyboardsearchmanager.cpp
    kitemviews/kitemlistrubberband.cpp
    kitemviews/kitemlistselectionmanager.cpp
    kitemviews/kitemlistselectiontoggle.cpp
    kitemviews/kitemlistsizehintresolver.cpp
    kitemviews/kitemlistsmoothscroller.cpp
    kitemviews/kitemliststyleoption.cpp
    kitemviews/kitemlistview.cpp
    kitemviews/kitemlistviewanimation.cpp
    kitemviews/kitemlistviewlayouter.cpp
    kitemviews/kitemlistwidget.cpp
    kitemviews/kitemmodelbase.cpp
    kitemviews/kpixmapmodifier.cpp
    settings/additionalinfodialog.cpp
    settings/applyviewpropsjob.cpp
    settings/viewmodes/viewmodesettings.cpp
    settings/viewpropertiesdialog.cpp
    settings/viewpropsprogressinfo.cpp
    views/additionalinfoaccessor.cpp
    views/dolphindirlister.cpp
    views/dolphinfileitemlistwidget.cpp
    views/dolphinitemlistcontainer.cpp
    views/dolphinnewfilemenuobserver.cpp
    views/dolphinplacesmodel.cpp
    views/dolphinremoteencoding.cpp
    views/dolphinview.cpp
    views/dolphinviewactionhandler.cpp
    views/draganddrophelper.cpp
    views/renamedialog.cpp
    views/tooltips/filemetadatatooltip.cpp
    views/tooltips/tooltipmanager.cpp
    views/versioncontrol/updateitemstatesthread.cpp
    views/versioncontrol/versioncontrolobserver.cpp
    views/viewmodecontroller.cpp
    views/viewproperties.cpp
    views/zoomlevelinfo.cpp
)

kde4_add_kcfg_files(dolphinprivate_LIB_SRCS
    settings/dolphin_compactmodesettings.kcfgc
    settings/dolphin_directoryviewpropertysettings.kcfgc
    settings/dolphin_detailsmodesettings.kcfgc
    settings/dolphin_iconsmodesettings.kcfgc
    settings/dolphin_generalsettings.kcfgc
    settings/dolphin_versioncontrolsettings.kcfgc
)

kde4_add_library(dolphinprivate SHARED ${dolphinprivate_LIB_SRCS})

target_link_libraries(dolphinprivate ${KDE4_KFILE_LIBS} konq ${KDE4_KNEWSTUFF3_LIBS})
if (Nepomuk_FOUND)
  target_link_libraries(dolphinprivate ${NEPOMUK_LIBRARIES} ${NEPOMUK_QUERY_LIBRARIES} nepomukutils ${SOPRANO_LIBRARIES})
endif (Nepomuk_FOUND)
if(X11_Xrender_FOUND)
  target_link_libraries(dolphinprivate ${X11_Xrender_LIB} )
endif(X11_Xrender_FOUND)



set_target_properties(dolphinprivate PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )
install(TARGETS dolphinprivate  ${INSTALL_TARGETS_DEFAULT_ARGS})


##########################################

set(dolphinpart_SRCS
   dolphinpart.cpp
)

kde4_add_plugin(dolphinpart ${dolphinpart_SRCS})

target_link_libraries(dolphinpart dolphinprivate konq ${KDE4_KPARTS_LIBS} ${KDE4_KFILE_LIBS})

install(TARGETS dolphinpart DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES dolphinpart.rc DESTINATION ${DATA_INSTALL_DIR}/dolphinpart)
install(FILES dolphinpart.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install(FILES views/versioncontrol/fileviewversioncontrolplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

##########################################

set(dolphin_SRCS
    dolphinapplication.cpp
    dolphindockwidget.cpp
    dolphinmainwindow.cpp
    dolphinnewfilemenu.cpp
    dolphinviewcontainer.cpp
    dolphincontextmenu.cpp
    filterbar/filterbar.cpp
    main.cpp
    panels/information/filemetadataconfigurationdialog.cpp
    panels/information/informationpanel.cpp
    panels/information/informationpanelcontent.cpp
    panels/information/pixmapviewer.cpp
    panels/information/phononwidget.cpp
    panels/places/placespanel.cpp
    panels/panel.cpp
    panels/folders/treeviewcontextmenu.cpp
    panels/folders/folderspanel.cpp
    search/dolphinsearchbox.cpp
    search/dolphinsearchinformation.cpp
    settings/general/behaviorsettingspage.cpp
    settings/general/configurepreviewplugindialog.cpp
    settings/general/contextmenusettingspage.cpp
    settings/general/generalsettingspage.cpp
    settings/general/previewssettingspage.cpp
    settings/general/statusbarsettingspage.cpp
    settings/dolphinsettingsdialog.cpp
    settings/navigation/navigationsettingspage.cpp
    settings/services/servicessettingspage.cpp
    settings/settingspagebase.cpp
    settings/serviceitemdelegate.cpp
    settings/servicemodel.cpp
    settings/startup/startupsettingspage.cpp
    settings/trash/trashsettingspage.cpp
    settings/viewmodes/dolphinfontrequester.cpp
    settings/viewmodes/viewsettingspage.cpp
    settings/viewmodes/viewmodesettings.cpp
    settings/viewmodes/viewsettingstab.cpp
    statusbar/dolphinstatusbar.cpp
    statusbar/statusbarspaceinfo.cpp
    views/zoomlevelinfo.cpp
)

kde4_add_kcfg_files(dolphin_SRCS
    panels/folders/dolphin_folderspanelsettings.kcfgc
    panels/information/dolphin_informationpanelsettings.kcfgc
    settings/dolphin_compactmodesettings.kcfgc
    settings/dolphin_detailsmodesettings.kcfgc
    settings/dolphin_generalsettings.kcfgc
    settings/dolphin_iconsmodesettings.kcfgc
    search/dolphin_searchsettings.kcfgc
    settings/dolphin_versioncontrolsettings.kcfgc
)

if(Nepomuk_FOUND)
    set(dolphin_SRCS
        ${dolphin_SRCS}
        panels/search/searchpanel.cpp
    )
endif(Nepomuk_FOUND)

if(NOT WIN32)
   set(dolphin_SRCS ${dolphin_SRCS} panels/terminal/terminalpanel.cpp)
endif(NOT WIN32)

kde4_add_app_icon(dolphin_SRCS "${KDE4_ICON_INSTALL_DIR}/oxygen/*/apps/system-file-manager.png")

kde4_add_kdeinit_executable(dolphin ${dolphin_SRCS})

target_link_libraries(kdeinit_dolphin
    ${KDE4_KDEPRINT_LIBS}
    ${KDE4_KFILE_LIBS}
    ${KDE4_KPARTS_LIBS}
    ${KDE4_KCMUTILS_LIBRARY}
    konq
    dolphinprivate
    knewstuff3
    ${KDE4_PHONON_LIBS}
)

if (Nepomuk_FOUND)
    target_link_libraries(kdeinit_dolphin
        ${NEPOMUK_LIBRARIES}
        ${SOPRANO_LIBRARIES}
        ${NEPOMUK_QUERY_LIBRARIES}
        nepomukutils
    )
endif (Nepomuk_FOUND)

install(TARGETS kdeinit_dolphin ${INSTALL_TARGETS_DEFAULT_ARGS})
install(TARGETS dolphin ${INSTALL_TARGETS_DEFAULT_ARGS})

##########################################

set(kcm_dolphinviewmodes_PART_SRCS
    settings/kcm/kcmdolphinviewmodes.cpp
    settings/viewmodes/dolphinfontrequester.cpp
    settings/viewmodes/viewmodesettings.cpp
    settings/viewmodes/viewsettingstab.cpp
    views/zoomlevelinfo.cpp)

set(kcm_dolphinnavigation_PART_SRCS
    settings/kcm/kcmdolphinnavigation.cpp
    settings/navigation/navigationsettingspage.cpp
    settings/settingspagebase.cpp)

set(kcm_dolphinservices_PART_SRCS
    settings/kcm/kcmdolphinservices.cpp
    settings/services/servicessettingspage.cpp
    settings/settingspagebase.cpp
    settings/serviceitemdelegate.cpp
    settings/servicemodel.cpp)

set(kcm_dolphingeneral_PART_SRCS
    settings/kcm/kcmdolphingeneral.cpp
    settings/general/behaviorsettingspage.cpp
    settings/general/previewssettingspage.cpp
    settings/general/configurepreviewplugindialog.cpp
    settings/general/contextmenusettingspage.cpp
    settings/settingspagebase.cpp
    settings/serviceitemdelegate.cpp
    settings/servicemodel.cpp)

kde4_add_kcfg_files(kcm_dolphinviewmodes_PART_SRCS
    settings/dolphin_compactmodesettings.kcfgc
    settings/dolphin_directoryviewpropertysettings.kcfgc
    settings/dolphin_detailsmodesettings.kcfgc
    settings/dolphin_iconsmodesettings.kcfgc
    settings/dolphin_generalsettings.kcfgc
    settings/dolphin_versioncontrolsettings.kcfgc
)

kde4_add_kcfg_files(kcm_dolphinnavigation_PART_SRCS
    settings/dolphin_generalsettings.kcfgc)

kde4_add_kcfg_files(kcm_dolphinservices_PART_SRCS
    settings/dolphin_generalsettings.kcfgc
    settings/dolphin_versioncontrolsettings.kcfgc)

kde4_add_kcfg_files(kcm_dolphingeneral_PART_SRCS
    settings/dolphin_generalsettings.kcfgc)

kde4_add_plugin(kcm_dolphinviewmodes ${kcm_dolphinviewmodes_PART_SRCS})
kde4_add_plugin(kcm_dolphinnavigation ${kcm_dolphinnavigation_PART_SRCS})
kde4_add_plugin(kcm_dolphinservices ${kcm_dolphinservices_PART_SRCS})
kde4_add_plugin(kcm_dolphingeneral ${kcm_dolphingeneral_PART_SRCS})

target_link_libraries(kcm_dolphinviewmodes  ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} dolphinprivate)
target_link_libraries(kcm_dolphinnavigation  ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} dolphinprivate)
target_link_libraries(kcm_dolphinservices  ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KNEWSTUFF3_LIBRARY} dolphinprivate)
target_link_libraries(kcm_dolphingeneral ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} ${KDE4_KIO_LIBS} dolphinprivate)
if (Nepomuk_FOUND)
  target_link_libraries(kcm_dolphinviewmodes ${NEPOMUK_LIBRARIES})
  target_link_libraries(kcm_dolphinnavigation ${NEPOMUK_LIBRARIES})
  target_link_libraries(kcm_dolphinservices ${NEPOMUK_LIBRARIES})
  target_link_libraries(kcm_dolphingeneral ${NEPOMUK_LIBRARIES})
endif (Nepomuk_FOUND)

install(TARGETS kcm_dolphinviewmodes DESTINATION ${PLUGIN_INSTALL_DIR} )
install(TARGETS kcm_dolphinnavigation DESTINATION ${PLUGIN_INSTALL_DIR} )
install(TARGETS kcm_dolphinservices DESTINATION ${PLUGIN_INSTALL_DIR} )
install(TARGETS kcm_dolphingeneral DESTINATION ${PLUGIN_INSTALL_DIR} )

#########################################

set(kio_search_PART_SRCS
    search/filenamesearchprotocol.cpp)
kde4_add_plugin(kio_filenamesearch ${kio_search_PART_SRCS})
target_link_libraries(kio_filenamesearch ${KDE4_KIO_LIBS})
install(TARGETS kio_filenamesearch DESTINATION ${PLUGIN_INSTALL_DIR})

########### install files ###############

install( PROGRAMS dolphin.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES settings/dolphin_directoryviewpropertysettings.kcfg
               settings/dolphin_generalsettings.kcfg
               settings/dolphin_compactmodesettings.kcfg
               settings/dolphin_iconsmodesettings.kcfg
               settings/dolphin_detailsmodesettings.kcfg
               settings/dolphin_versioncontrolsettings.kcfg
         DESTINATION ${KCFG_INSTALL_DIR} )
install( FILES dolphinui.rc DESTINATION ${DATA_INSTALL_DIR}/dolphin )
install( FILES search/filenamesearch.protocol DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES settings/kcm/kcmdolphinviewmodes.desktop DESTINATION
${SERVICES_INSTALL_DIR} )
install( FILES settings/kcm/kcmdolphinnavigation.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES settings/kcm/kcmdolphinservices.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES settings/kcm/kcmdolphingeneral.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES settings/services/servicemenu.knsrc DESTINATION ${CONFIG_INSTALL_DIR} )
install( PROGRAMS settings/services/servicemenuinstallation DESTINATION ${BIN_INSTALL_DIR} )
install( PROGRAMS settings/services/servicemenudeinstallation DESTINATION ${BIN_INSTALL_DIR} )

=== konq-plugins/adblock/CMakeLists.txt ===


########### next target ###############

set(adblock_PART_SRCS adblock.cpp  adblockdialog.cpp )

kde4_add_plugin(adblock ${adblock_PART_SRCS})



target_link_libraries(adblock  ${KDE4_KPARTS_LIBS} ${KDE4_KHTML_LIBS} ${KDE4_KCMUTILS_LIBS})

install(TARGETS adblock  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES plugin_adblock.desktop  plugin_adblock.rc  DESTINATION  ${DATA_INSTALL_DIR}/khtml/kpartplugins )

=== konq-plugins/babelfish/CMakeLists.txt ===
project(babelfish)

########### babelfishplugin ###############

set(babelfishplugin_PART_SRCS plugin_babelfish.cpp )

kde4_add_plugin(babelfishplugin ${babelfishplugin_PART_SRCS})

target_link_libraries(babelfishplugin  ${KDE4_KPARTS_LIBS} )

install(TARGETS babelfishplugin  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES plugin_babelfish.rc plugin_babelfish.desktop  DESTINATION  ${DATA_INSTALL_DIR}/khtml/kpartplugins )
install( FILES translaterc  DESTINATION  ${CONFIG_INSTALL_DIR} )
install( FILES plugin_babelfish.rc plugin_babelfish.desktop  DESTINATION  ${DATA_INSTALL_DIR}/kwebkitpart/kpartplugins )

kde4_install_icons(${ICON_INSTALL_DIR})

=== konqueror/preloader/CMakeLists.txt ===
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/../src ${CMAKE_CURRENT_BINARY_DIR}/../src )


########### next target ###############
add_definitions(-DKONQPRIVATE_EXPORT=)

set(kded_konqy_preloader_PART_SRCS preloader.cc )

kde4_add_kcfg_files(kded_konqy_preloader_PART_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/../src/konqsettingsxt.kcfgc)

qt4_add_dbus_adaptor(kded_konqy_preloader_PART_SRCS org.kde.konqueror.Preloader.xml preloader.h KonqyPreloader)


kde4_add_plugin(kded_konqy_preloader ${kded_konqy_preloader_PART_SRCS})

target_link_libraries(kded_konqy_preloader ${KDE4_KDEUI_LIBS})

install(TARGETS kded_konqy_preloader DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install(FILES konqy_preload.desktop DESTINATION ${AUTOSTART_INSTALL_DIR})
install(FILES konqy_preloader.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kded)
install(FILES org.kde.konqueror.Preloader.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR} )

=== konqueror/sidebar/trees/init/remote/web/CMakeLists.txt ===
install( FILES .directory apps_web.desktop dot_web.desktop kde_web.desktop look_web.desktop  DESTINATION  ${DATA_INSTALL_DIR}/konqsidebartng/virtual_folders/remote/web )

=== debian/changelog ===
kde-baseapps (4:4.8.4-2) unstable; urgency=low

  [ Pino Toscano ]
  * Add breaks/replaces in konqueror against kdebase-data << 4.7.2.
    (Closes: #679789)

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add myself to Uploaders.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 19 Oct 2012 18:04:13 -0300

kde-baseapps (4:4.8.4-1) unstable; urgency=low

  * New upstream release.

  [ Eshat Cakar ]
  * Add watch file.
  * Bump kde-sc-dev-latest build dependency to version 4:4.8.4.
  * Update installed files.

  [ Pino Toscano ]
  * Move files of the konqueror documentation from kde-baseapps-data to
    konqueror itself.

 -- Modestas Vainius <modax@debian.org>  Sat, 09 Jun 2012 22:18:08 +0300

kde-baseapps (4:4.8.3-1) experimental; urgency=low

  * New upstream release:
    - fixes support for SOCKS proxy in konqueror. (Closes: #575885)
  * Team upload.

  [ Eshat Cakar ]
  * Update installed files.
  * Bump kdelibs5-dev build dependency to version 4:4.8.
  * Bump kde-sc-dev-latest build dependency to version 4:4.8.3.
  * Bump Standards-Version to 3.9.3. No further changes.
  * Remove obsolete libkonq5a breaks/replaces.
  * Update symbols files.

 -- Modestas Vainius <modax@debian.org>  Sun, 27 May 2012 03:09:23 +0300

=== debian/control ===
Source: kde-baseapps
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
 Fathi Boudra <fabo@debian.org>,
 Armin Berres <armin+debian@space-based.de>,
 Modestas Vainius <modax@debian.org>,
 George Kiagiadakis <kiagiadakis.george@gmail.com>,
 José Manuel Santamaría Lema <panfaust@gmail.com>,
 Eshat Cakar <info@eshat.de>,
 Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), libdlrestrictions-dev (>= 0.14),
 kdelibs5-dev (>= 4:4.8), libphonon-dev (>= 4:4.3.0),
 libqimageblitz-dev (>= 1:0.0.4-2), libxkbfile-dev,
 libstreamanalyzer-dev (>= 0.6.3),
 libxrender-dev, zlib1g-dev,
 libxt-dev, pkg-config, libglib2.0-dev, shared-desktop-ontologies (>= 0.8),
 libtidy-dev
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kde-baseapps.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kde-baseapps.git

Package: kde-baseapps
Architecture: all
Depends: ${misc:Depends},
 dolphin (>= ${source:Version}),
 kde-baseapps-bin (>= ${source:Version}),
 kdepasswd (>= ${source:Version}),
 kfind (>= ${source:Version}), 
 konqueror (>= ${source:Version}),
 konsole, 
 kwrite,
 plasma-widget-folderview (>= ${source:Version})
Recommends: konqueror-nsplugins (>= ${source:Version})
Breaks: kdebase-apps (<< 4:4.7.2)
Replaces: kdebase-apps (<< 4:4.7.2)
Description: base applications from the official KDE release (meta-package)
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This package provides core applications for the KDE 4 desktop.

Package: kdebase-apps
Section: oldlibs
Priority: extra
Architecture: all
Depends: kde-baseapps, ${misc:Depends}
Description: Transitional package for kde-baseapps
 This transitional package takes care of pulling in the new kde-baseapps
 package and can safely be removed after installation.

Package: dolphin
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ruby
Suggests: kdesdk-dolphin-plugins
Description: file manager 
 Dolphin is the default file manager in the KDE Plasma Workspaces, intended
 to be both powerful and easy to use.
 .
 Features include:
   Customisable sidebars
   "Breadcrumb" navigation
   View properties remembered for each folder
   Split views
   Network transparency
   Undo/redo functionality
   Ratings, comments, and tags
 .
 This package is part of the KDE base applications module.

Package: kde-baseapps-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-baseapps-data (= ${source:Version})
Breaks: kdesktop, kcontrol, kdebase-bin (<< 4:4.7.2)
Replaces: kdebase-bin (<< 4:4.7.2)
Description: core binaries for the KDE base applications
 This package contains miscellaneous programs needed by other KDE
 applications, particularly those in the KDE base module.
 .
 This package is part of the KDE base applications module.

Package: kdebase-bin
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, kde-baseapps-bin
Description: Transitional package for new kde-baseapps
 This transitional package can be safely removed after installation.

Package: kde-baseapps-data
Architecture: all
Depends: ${misc:Depends}
Breaks: kdebase-data (<< 4:4.7.2)
Replaces: kdebase-data (<< 4:4.7.2)
Description: shared data files for the KDE base applications
 This package contains the architecture-independent shared data files needed
 for a basic KDE 4 desktop installation.
 .
 This package is part of the KDE 4 base applications module.

Package: kdepasswd
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-baseapps-data (= ${source:Version})
Description: graphical password changing utility
 kdepasswd allows users to change their password, user icon, and other
 information.  A variety of user icons are included.
 .
 This package is part of the KDE base applications module.

Package: kfind
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: file search utility 
 KFind can be used to find files and directories on your system.
 .
 This package is part of the KDE base applications module.

Package: konqueror
Section: web
Architecture: any
Provides: info-browser, man-browser, www-browser
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-baseapps-data (= ${source:Version}),
 kde-baseapps-bin (= ${binary:Version}), install-info
Suggests: konq-plugins (>= 4:4.1~)
Recommends: konqueror-nsplugins (= ${binary:Version}), dolphin, kfind
Breaks: kdebase-data (<< 4:4.7.2), kde-baseapps-data (<< 4:4.8.4)
Replaces: kdebase-data (<< 4:4.7.2), kde-baseapps-data (<< 4:4.8.4)
Description: advanced file manager, web browser and document viewer
 Konqueror is the KDE web browser and advanced file manager.
 .
 Konqueror is a standards-compliant web browser, supporting HTML 4.01, Java,
 JavaScript, CSS3, and Netscape plugins such as Flash.
 .
 It supports advanced file management on local UNIX filesystems, with flexible
 views, network transparency, and embedded file viewing.
 .
 It is the canvas for many KDE technologies, from remote file access via KIO to
 component embedding via the KParts object interface, making it one of the most
 customizable applications available.
 .
 This package is part of the KDE base applications module.

Package: konqueror-nsplugins
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: gtk-qt-engine (<< 1:1.0)
Description: Netscape plugin support for Konqueror
 Konqueror is the KDE web browser and advanced file manager.
 .
 This package provides a KDE component for enabling the use of
 Netscape/Mozilla/etc browser plugins (such as Adobe Flash) within Konqueror.
 .
 This package is part of the KDE base applications module.

Package: konq-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, konqueror (>= 4:4.1.0),
 python, libjpeg-progs
Enhances: konqueror
Recommends: imagemagick
Description: plugins for Konqueror, the KDE file/web/document browser
 This package contains a variety of useful plugins for Konqueror, the
 file manager, web browser and document viewer for KDE.  Many of these
 plugins will appear in Konqueror's Tools menu.
 .
 Web navigation plugins:
  - Akregator feed icon: allows one to add a feed to Akregator from Konqueror
  - Auto Refresh: refresh a webpage at a given rate
  - Bookmarklets: enables the use of bookmarklets, bookmarks containing
    JavaScript code
  - Document Relations: displays the document relations of a document
  - DOM Tree Viewer: view the DOM tree of the current page
  - KHTML Settings: fast way to change the JavaScript/images/cookies settings
  - Microformat Icon: displays an icon in the statusbar if the page contains
    a microformat
  - Search Bar: launches web searches from the Konqueror's toolbar
  - Translate: language translation for the current page using Babelfish
  - UserAgent Changer: quick switch of the UserAgent used for the current site
  - Website Validators: CSS and HTML validation tools
  - Web Archiver: creates archives of websites
  - Crash manager: restores your opened tabs if Konqueror crashes (disabled
    by default as Konqueror has this feature builtin)
 .
 File management plugins:
  - Image Gallery: an easy way to generate a HTML image gallery
  - File Size View (kpart): a proportional view of directories and files
    based on file size
  - Transform Image (service menu): rotate and flip images
  - Convert To (service menu): convert and image to another format
  - Directory Filter (dolphin): filter directory views
 .
 This package is part of the KDE base applications module.

#Package: konsole
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Provides: x-terminal-emulator
#Breaks: yakuake (<< 2.9.0)
#Description: X terminal emulator
# Konsole is a terminal emulator built on the KDE Platform. It can contain
# multiple terminal sessions inside one window using detachable tabs.
# .
# Konsole supports powerful terminal features, such as customizable schemes,
# saved sessions, and output monitoring.
# .
# This package is part of the KDE base applications module.

#Package: kwrite
#Section: editors
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Description: simple graphical text editor
# KWrite is a simple text editor built on the KDE Platform. It uses the Kate
# editor component, so it supports powerful features such as flexible syntax
# highlighting, automatic indentation, and numerous other text tools.
# .
# This package is part of the KDE base applications module.

Package: libkonq5abi1
Section: libs
Architecture: any
X-Debian-ABI: 1
Depends: ${shlibs:Depends}, ${misc:Depends}, libkonq-common (>= ${binary:Version})
Description: core libraries for Konqueror
 This package contains libraries used by several KDE 4 applications,
 particularly Konqueror.
 .
 This package is part of the KDE base applications module.

Package: libkonq-common
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libkonq5-templates
Replaces: libkonq5 (<< 4:4.4.5-3)
Breaks: libkonq5 (<< 4:4.4.5-3)
Description: core Konqueror library - support files
 This package contains plugins and data files used by the core Konqueror
 library (libkonq).
 .
 This package is part of the KDE base applications module.

Package: libkonq5-templates
Section: libs
Architecture: all
Replaces: kdesktop
Breaks: kdesktop
Depends: ${misc:Depends}
Description: data files for the Konqueror libraries
 This package contains data files used by the Konqueror libraries.
 These files are also provided by the 'kdesktop' package from KDE 3.
 .
 This package is part of the KDE base applications module.

Package: libkonq5-dev
Section: libdevel
Architecture: any
Depends: libkonq5abi1 (= ${binary:Version}), ${sameVersionDep:kdelibs5-dev:libkonq5abi1}, ${misc:Depends}
Description: development files for the Konqueror libraries
 This package contains development files for building software that uses the
 Konqueror libraries.
 .
 This package is part of the KDE base applications module.

Package: libkonqsidebarplugin4a
Section: libs
Architecture: any
X-Debian-ABI: 0
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: konqueror sidebar plugin library
 This package contains base library for Konqueror sidebar plugins.
 .
 This package is part of the KDE base applications module.

Package: libkonqsidebarplugin-dev
Section: libdevel
Architecture: any
Depends: libkonqsidebarplugin4a (= ${binary:Version}),
 ${sameVersionDep:kdelibs5-dev:libkonqsidebarplugin4a}, ${misc:Depends}
Description: konqueror sidebar plugin library development files
 This package contains development headers for the Konqueror sidebar plugin
 library.
 .
 This package is part of the KDE base applications module.

Package: plasma-widget-folderview
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: plasma widget showing the content of a folder
 This package contains the Folder View Plasma widget which is capable of
 displaying and managing contents of any KDE supported location. It can be used
 as a replacement for the traditional "desktop" folder concept in the main
 Plasma shell, but it is a lot more flexible. Folder View is part of the
 initial default KDE 4 desktop configuration.
 .
 This package is part of the KDE base applications module.

Package: kde-baseapps-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kde-runtime-dbg, konsole-dbg, kate-dbg

## kde-baseapps 4.8.5

=== plasma/applets/folderview/CMakeLists.txt ===
project(plasma-folderview)

set(folderview_SRCS
    folderview.cpp
    abstractitemview.cpp
    listview.cpp
    dialog.cpp
    label.cpp
    iconview.cpp
    popupview.cpp
    iconwidget.cpp
    dirlister.cpp
    proxymodel.cpp
    folderviewadapter.cpp
    previewpluginsmodel.cpp
    tooltipwidget.cpp
    style.cpp
    itemeditor.cpp
    animator.cpp
    actionoverlay.cpp
    asyncfiletester.cpp)

kde4_add_ui_files(folderview_SRCS
                  folderviewFilterConfig.ui
                  folderviewDisplayConfig.ui
                  folderviewLocationConfig.ui
                  folderviewPreviewConfig.ui)

kde4_add_plugin(plasma_applet_folderview ${folderview_SRCS})

target_link_libraries(plasma_applet_folderview ${KDE4_PLASMA_LIBS} konq
                      ${KDE4_KIO_LIBS} ${KDE4_KFILE_LIBS} ${KDE4_SOLID_LIBS} ${X11_LIBRARIES})

install(TARGETS plasma_applet_folderview DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-applet-folderview.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
kde-baseapps (4:4.8.5-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream bugfix release (LP: #1047417)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Sep 2012 16:39:47 +0200

kde-baseapps (4:4.8.4-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release. (LP: #1007798)
    - Update dolphin.install.

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 23 Jun 2012 22:33:35 +0200

kde-baseapps (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)
    - drop patches applied upstream:
      + Reduce-the-timeout-in-KItemListKeyboardSearchManager.patch
      + Fix-drag-drop-cursor-issue.patch
      + Revert-the-2.0-decision-to-always-use-KB-for-file-si.patch

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 May 2012 16:06:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,25 @@
 Source: kde-baseapps
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <debian@pusling.com>,
- Fathi Boudra <fabo@debian.org>,
- Armin Berres <armin+debian@space-based.de>,
- Modestas Vainius <modax@debian.org>,
- George Kiagiadakis <kiagiadakis.george@gmail.com>,
- José Manuel Santamaría Lema <panfaust@gmail.com>,
- Eshat Cakar <info@eshat.de>,
- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>,
+ Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
+ José Manuel Santamaría Lema <panfaust@gmail.com>
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), libdlrestrictions-dev (>= 0.14),
- kdelibs5-dev (>= 4:4.8), libphonon-dev (>= 4:4.3.0),
+ kdelibs5-dev (>= 4:4.8.1), libphonon-dev (>= 4:4.3.0),
  libqimageblitz-dev (>= 1:0.0.4-2), libxkbfile-dev,
  libstreamanalyzer-dev (>= 0.6.3),
  libxrender-dev, zlib1g-dev,
- libxt-dev, pkg-config, libglib2.0-dev, shared-desktop-ontologies (>= 0.8),
+ libxt-dev, pkg-config, libglib2.0-dev, shared-desktop-ontologies,
  libtidy-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kde-baseapps.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kde-baseapps.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-baseapps
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-baseapps
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kde-baseapps.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kde-baseapps.git
 
 Package: kde-baseapps
 Architecture: all
@@ -48,8 +46,6 @@
  This package provides core applications for the KDE 4 desktop.
 
 Package: kdebase-apps
-Section: oldlibs
-Priority: extra
 Architecture: all
 Depends: kde-baseapps, ${misc:Depends}
 Description: Transitional package for kde-baseapps
@@ -60,8 +56,7 @@
 Section: utils
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: ruby
-Suggests: kdesdk-dolphin-plugins
+Suggests: kdesdk-dolphin-plugins, kfind, ruby, konsole, kompare
 Description: file manager 
  Dolphin is the default file manager in the KDE Plasma Workspaces, intended
  to be both powerful and easy to use.
@@ -89,8 +84,6 @@
  This package is part of the KDE base applications module.
 
 Package: kdebase-bin
-Section: oldlibs
-Priority: extra
 Architecture: all
 Depends: ${misc:Depends}, kde-baseapps-bin
 Description: Transitional package for new kde-baseapps
@@ -99,8 +92,8 @@
 Package: kde-baseapps-data
 Architecture: all
 Depends: ${misc:Depends}
-Breaks: kdebase-data (<< 4:4.7.2)
-Replaces: kdebase-data (<< 4:4.7.2)
+Breaks: kdebase-data (<< 4:4.7.2), dolphin (<< 4:4.6.80), konqueror (<< 4:4.6.80)
+Replaces: kdebase-data (<< 4:4.7.2), dolphin (<< 4:4.6.80), konqueror (<< 4:4.6.80)
 Description: shared data files for the KDE base applications
  This package contains the architecture-independent shared data files needed
  for a basic KDE 4 desktop installation.
@@ -133,10 +126,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, kde-baseapps-data (= ${source:Version}),
  kde-baseapps-bin (= ${binary:Version}), install-info
 Suggests: konq-plugins (>= 4:4.1~)
-Recommends: konqueror-nsplugins (= ${binary:Version}), dolphin, kfind
-Breaks: kdebase-data (<< 4:4.7.2), kde-baseapps-data (<< 4:4.8.4)
-Replaces: kdebase-data (<< 4:4.7.2), kde-baseapps-data (<< 4:4.8.4)
-Description: advanced file manager, web browser and document viewer
+Recommends: konqueror-nsplugins (= ${binary:Version}), dolphin
+Description:  advanced file manager, web browser and document viewer
  Konqueror is the KDE web browser and advanced file manager.
  .
  Konqueror is a standards-compliant web browser, supporting HTML 4.01, Java,
@@ -168,6 +159,23 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, konqueror (>= 4:4.1.0),
  python, libjpeg-progs
+Replaces: konqueror-plugin-adblock (<< 4:4.4.0-2ubuntu1),
+          konqueror-plugin-akregator (<< 4:4.4.0-2ubuntu1),
+          konqueror-plugin-autorefresh (<< 4:4.4.0-2ubuntu1),
+          konqueror-plugin-babelfish (<< 4:4.4.0-2ubuntu1),
+          konqueror-plugin-crashes (<< 4:4.4.0),
+          konqueror-plugin-dirfilter (<< 4:4.4.0-2ubuntu1),
+          konqueror-plugin-domtreeviewer (<< 4:4.4.0-2ubuntu1),
+          konqueror-plugin-fsview (<< 4:4.4.0-2ubuntu1),
+          konqueror-plugin-imagerotation (<< 4:4.4.0-2ubuntu1),
+          konqueror-plugin-khtmlsettings (<< 4:4.4.0-2ubuntu1),
+          konqueror-plugin-kimgallery (<< 4:4.4.0-2ubuntu1),
+          konqueror-plugin-minitools (<< 4:4.4.0-2ubuntu1),
+          konqueror-plugin-rellinks (<< 4:4.4.0-2ubuntu1),
+          konqueror-plugin-searchbar (<< 4:4.6.1-1ubuntu1),
+          konqueror-plugin-uachanger (<< 4:4.4.0-2ubuntu1),
+          konqueror-plugin-validators (<< 4:4.4.0-2ubuntu1),
+          konqueror-plugin-webarchiver (<< 4:4.4.0-2ubuntu1)
 Enhances: konqueror
 Recommends: imagemagick
 Description: plugins for Konqueror, the KDE file/web/document browser
@@ -243,8 +251,8 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libkonq5-templates
-Replaces: libkonq5 (<< 4:4.4.5-3)
-Breaks: libkonq5 (<< 4:4.4.5-3)
+Replaces: libkonq5 (<< 4:4.4.5-3), libkonq5a
+Breaks: libkonq5 (<< 4:4.4.5-3), libkonq5a
 Description: core Konqueror library - support files
  This package contains plugins and data files used by the core Konqueror
  library (libkonq).
@@ -278,36 +286,8 @@
 Architecture: any
 X-Debian-ABI: 0
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Replaces: libkonqsidebarplugin4
+Breaks: libkonqsidebarplugin4
 Description: konqueror sidebar plugin library
  This package contains base library for Konqueror sidebar plugins.
  .
- This package is part of the KDE base applications module.
-
-Package: libkonqsidebarplugin-dev
-Section: libdevel
-Architecture: any
-Depends: libkonqsidebarplugin4a (= ${binary:Version}),
- ${sameVersionDep:kdelibs5-dev:libkonqsidebarplugin4a}, ${misc:Depends}
-Description: konqueror sidebar plugin library development files
- This package contains development headers for the Konqueror sidebar plugin
- library.
- .
- This package is part of the KDE base applications module.
-
-Package: plasma-widget-folderview
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: plasma widget showing the content of a folder
- This package contains the Folder View Plasma widget which is capable of
- displaying and managing contents of any KDE supported location. It can be used
- as a replacement for the traditional "desktop" folder concept in the main
- Plasma shell, but it is a lot more flexible. Folder View is part of the
- initial default KDE 4 desktop configuration.
- .
- This package is part of the KDE base applications module.
-
-Package: kde-baseapps-dbg
-Section: debug
-Architecture: any
-Priority: extra
-Depends: ${misc:Depends}, kde-runtime-dbg, konsole-dbg, kate-dbg

## kde-baseapps 4.9.2

=== debian/changelog ===
kde-baseapps (4:4.9.2-0ubuntu4) quantal; urgency=low

  * Rebuild to get missing binaries that were lost due to being copied from
    proposed to release before they were built

 -- Scott Kitterman <scott@kitterman.com>  Fri, 05 Oct 2012 00:37:46 -0400

kde-baseapps (4:4.9.2-0ubuntu3) quantal-proposed; urgency=low

  * Remove build-dep on kdelibs5-data now headers in correct -dev package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Oct 2012 10:21:10 +0100

kde-baseapps (4:4.9.2-0ubuntu2) quantal-proposed; urgency=low

  * Build depend on kdelibs5-data

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 03 Oct 2012 00:24:05 +0100

kde-baseapps (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:13:31 +0100

kde-baseapps (4:4.9.1-0ubuntu1) quantal; urgency=low

  [ Harald Sitter ]
  * New upstream release
  * Update kubuntu_install_flash.diff to apply properly

  [ Philip Muškovac ]
  * Change sonames from 4.9.0/5.9.0 to 4.9.*/5.9.*

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:18:36 +0530

kde-baseapps (4:4.9.0-0ubuntu2) quantal; urgency=low

  * Build-dep on kdelibs 4.9.0a, adjust .install files to new library
    version no

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Aug 2012 11:57:48 +0100

kde-baseapps (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 17:04:39 +0100

kde-baseapps (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 22:08:00 +0200

kde-baseapps (4:4.8.80a-0ubuntu1) quantal; urgency=low

  * Merge with debian git, remainging changes:
    - keep breaks/replaces
    - keep symbol files
    - keep kubuntu patches
    - dolphin suggests and not recommends ruby
    - add kfind, konsole and kompare to dolphin suggests
  * konq-plugins breaks/replaces kde-baseapps-data << 4:4.8.80

  * Drop squence numbers from kubuntu patches 

  * New upstream beta release
    - refresh kubuntu_fix_systemsettings_about_me.diff
    - add new doc images to {konqueror,dolphin}.install

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 25 May 2012 17:26:17 +0200

kde-baseapps (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release
    - drop patches applied upstream:
      + Reduce-the-timeout-in-KItemListKeyboardSearchManager.patch
      + Fix-drag-drop-cursor-issue.patch
      + Revert-the-2.0-decision-to-always-use-KB-for-file-si.patch

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 13 May 2012 19:15:13 +0200

kde-baseapps (4:4.8.3-0r1) UNRELEASED; urgency=low

  * New upstream release.

  [ Eshat Cakar ]
  * Update installed files.
  * Bump kdelibs5-dev build dependency to version 4:4.8.
  * Bump kde-sc-dev-latest build dependency to version 4:4.8.3.
  * Bump Standards-Version to 3.9.3. No further changes.
  * Remove obsolete libkonq5a breaks/replaces.
  * Update symbols files.

 -- Eshat Cakar <info@eshat.de>  Thu, 08 Mar 2012 18:30:33 +0100

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>,
  Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
- José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
+ José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
+Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), libdlrestrictions-dev (>= 0.14),
- kdelibs5-dev (>= 4:4.8.1), libphonon-dev (>= 4:4.3.0),
+ kdelibs5-dev (>= 4:4.9.2), libphonon-dev (>= 4:4.3.0),
  libqimageblitz-dev (>= 1:0.0.4-2), libxkbfile-dev,
  libstreamanalyzer-dev (>= 0.6.3),
  libxrender-dev, zlib1g-dev,
- libxt-dev, pkg-config, libglib2.0-dev, shared-desktop-ontologies,
+ libxt-dev, pkg-config, libglib2.0-dev, shared-desktop-ontologies (>= 0.8),
  libtidy-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-baseapps
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-baseapps
@@ -46,6 +46,8 @@
  This package provides core applications for the KDE 4 desktop.
 
 Package: kdebase-apps
+Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: kde-baseapps, ${misc:Depends}
 Description: Transitional package for kde-baseapps
@@ -126,8 +128,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, kde-baseapps-data (= ${source:Version}),
  kde-baseapps-bin (= ${binary:Version}), install-info
 Suggests: konq-plugins (>= 4:4.1~)
-Recommends: konqueror-nsplugins (= ${binary:Version}), dolphin
-Description:  advanced file manager, web browser and document viewer
+Recommends: konqueror-nsplugins (= ${binary:Version}), dolphin, kfind
+Description: advanced file manager, web browser and document viewer
  Konqueror is the KDE web browser and advanced file manager.
  .
  Konqueror is a standards-compliant web browser, supporting HTML 4.01, Java,
@@ -157,8 +159,9 @@
 
 Package: konq-plugins
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, konqueror (>= 4:4.1.0),
+Depends: ${shlibs:Depends}, ${misc:Depends}, konqueror (>= 4:4.9.2),
  python, libjpeg-progs
+Breaks: kde-baseapps-data (<< 4:4.8.80)
 Replaces: konqueror-plugin-adblock (<< 4:4.4.0-2ubuntu1),
           konqueror-plugin-akregator (<< 4:4.4.0-2ubuntu1),
           konqueror-plugin-autorefresh (<< 4:4.4.0-2ubuntu1),
@@ -175,7 +178,8 @@
           konqueror-plugin-searchbar (<< 4:4.6.1-1ubuntu1),
           konqueror-plugin-uachanger (<< 4:4.4.0-2ubuntu1),
           konqueror-plugin-validators (<< 4:4.4.0-2ubuntu1),
-          konqueror-plugin-webarchiver (<< 4:4.4.0-2ubuntu1)
+          konqueror-plugin-webarchiver (<< 4:4.4.0-2ubuntu1),
+          kde-baseapps-data (<< 4:4.8.80)
 Enhances: konqueror
 Recommends: imagemagick
 Description: plugins for Konqueror, the KDE file/web/document browser
@@ -288,6 +292,3 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libkonqsidebarplugin4
 Breaks: libkonqsidebarplugin4
-Description: konqueror sidebar plugin library
- This package contains base library for Konqueror sidebar plugins.
- .

## kde-baseapps 4.9.4

=== debian/changelog ===
kde-baseapps (4:4.9.4-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1085516)
  * Add upstream commits to fix dolphin regressions:
    5343a18b50e990d75f4434b3bb70b376ab935076
        as 0001-Added-curly-brackets-around-DolphinApplication-creat.patch
    6d0f9ada0198f6e73a8fca1e709676d0ac83a67b
        as 0002-Fix-incorrect-usage-of-list-iterators.patch
    620f9670af432c8c7a79fd47789da1788d7d6b17
        as 0003-Fix-keyboard-focus-handling-after-renaming-items-inl.patch

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 02 Dec 2012 00:45:45 +0100

kde-baseapps (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:32:49 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), libdlrestrictions-dev (>= 0.14),
- kdelibs5-dev (>= 4:4.9.2), libphonon-dev (>= 4:4.3.0),
+ kdelibs5-dev (>= 4:4.9.4), libphonon-dev (>= 4:4.3.0),
  libqimageblitz-dev (>= 1:0.0.4-2), libxkbfile-dev,
  libstreamanalyzer-dev (>= 0.6.3),
  libxrender-dev, zlib1g-dev,
